[oe-commits] org.oe.dev pulseaudio esd wrapper: meta package that transparently replaces the esound server with pulseaudio

koen commit oe at amethyst.openembedded.net
Sat Jun 14 16:35:51 UTC 2008


pulseaudio esd wrapper: meta package that transparently replaces the esound server with pulseaudio

Author: koen at openembedded.org
Branch: org.openembedded.dev
Revision: c06fa0c45cd1c86ad35d00394ce13105f5d01c08
ViewMTN: http://monotone.openembedded.org/revision/info/c06fa0c45cd1c86ad35d00394ce13105f5d01c08
Files:
1
packages/pulseaudio/pulseaudio-esd-wrapper.bb
Diffs:

#
# mt diff -ra1c3f416a32ce4cdce132fe83819ab9507657b51 -rc06fa0c45cd1c86ad35d00394ce13105f5d01c08
#
#
#
# add_file "packages/pulseaudio/pulseaudio-esd-wrapper.bb"
#  content [c0c973abd7c7ed8625a2bd55a37b730dfff842ed]
#
============================================================
--- packages/pulseaudio/pulseaudio-esd-wrapper.bb	c0c973abd7c7ed8625a2bd55a37b730dfff842ed
+++ packages/pulseaudio/pulseaudio-esd-wrapper.bb	c0c973abd7c7ed8625a2bd55a37b730dfff842ed
@@ -0,0 +1,40 @@
+DESCRIPTION = "Drop-in Esound replacement"
+LICENSE = "GPLv2"
+
+RCONFLICTS = "esd"
+RREPLACES = "esd"
+
+RDEPENDS = " \
+	pulseaudio-server \
+	pulseaudio-misc \
+	pulseaudio-lib-protocol-esound \
+	pulseaudio-module-esound-compat-spawnfd \
+	pulseaudio-module-esound-compat-spawnpid \
+	pulseaudio-module-esound-protocol-tcp \
+	pulseaudio-module-esound-protocol-unix \
+"
+
+do_install() {
+	install -d ${D}/${bindir}
+	ln -sf ${bindir}/esdcompat ${D}/${bindir}/esd 
+}
+
+
+PACKAGE_ARCH = "all"
+
+pkg_postinst_${PN} () {
+#!/bin/sh
+if [ "x$D" != "x" ]; then
+        exit 1
+fi
+
+mkdir -p /etc/pulse || true
+# Remove existing entries
+if [ -e /etc/pulse/session ] ; then
+        sed -i -e /load-module\ module-esound-protocol-unix/d e /load-module\ module-esound-protocol-tcp/d /etc/pulse/session
+fi
+# Load esound modules
+echo "load-module module-esound-protocol-tcp" >> /etc/pulse/session
+echo "load-module module-esound-protocol-unix" >> /etc/pulse/session
+}
+






More information about the Openembedded-commits mailing list